<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_cb_design_topic">
    <sys_cb_design_topic action="INSERT_OR_UPDATE">
        <compiled_topic display_value="Service Disruptions (Template)">ad75b0552f1b4110f98855f62799b669</compiled_topic>
        <design_definition>{"type":"FlowTopic","triggers":[{"type":"Trigger","name":"a99c3c52aa614f169e1f481fb81311b4","triggerType":"request","applicability":{"type":"Applicability","mode":"script","value":"true"},"id":"a99c3c52aa614f169e1f481fb81311b4"}],"goals":[{"name":"primary","trigger_id":"a99c3c52aa614f169e1f481fb81311b4","nodes":[{"type":"StartGoal","goal_id":"primary","greeting_msg":{"type":"String","mode":"string","value":""},"id":"7eaea6d27e2c4ebdacc03745d7934fea","name":"Start","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"TerminateGoal","goal_id":"primary","confirmation_msg":{"type":"String","mode":"string","value":""},"id":"1d63602e607647e888c51e9a7d2b17b8","name":"End","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"ReferenceChoiceInputPrompt","mode":"external","id":"fc28755cdb614417b6ec0b7463d28c79","name":"List Outages","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"variable_id":"feb374539d6349fb844e882a8c16caa1","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Here are the known outages. Please select one for details, or select [I'm done] to exit.\", vaContext.getRequesterLang())"},"skippable":{"type":"Applicability","mode":"script","value":"false"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"expression_mode":"script","script":"(function execute() {\n    var options = [];\n\n    // get variables\n    var count = 0;\n\n    // query current and future planned outages \n    var gr = new GlideRecord('cmdb_ci_outage');\n    gr.addEncodedQuery('begin&lt;=javascript:gs.endOfToday()^endISEMPTY^ORend&gt;javascript:gs.endOfToday()^NQtype=planned^beginRELATIVELE@dayofweek@ahead@7^end&gt;javascript:gs.endOfToday()');\n    gr.orderBy('begin');\n    gr.query();\n\n    // get total count, used for pagination\n    count = gr.getRowCount();\n    vaVars.count = count;\n\n    // page of outage records\n    var cnt = 0;\n    while(gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('cmdb_ci') + ': ' + gr.getDisplayValue('type') });\n        cnt++;\n    }\n\n    options.push({ 'value': 'cancel', 'label': gs.getMessage(\"I'm done\")});\n\n\n    return options;\n})()\n","metadataScript":"","cardName":"","cardFields":[],"no_options_found_message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"No Records Found\", vaContext.getRequesterLang())"},"condition":{"type":"Condition","mode":"external_script","value":"(function execute() {\n    var options = [];\n\n    // get variables\n    var count = 0;\n\n    // query current and future planned outages \n    var gr = new GlideRecord('cmdb_ci_outage');\n    gr.addEncodedQuery('begin&lt;=javascript:gs.endOfToday()^endISEMPTY^ORend&gt;javascript:gs.endOfToday()^NQtype=planned^beginRELATIVELE@dayofweek@ahead@7^end&gt;javascript:gs.endOfToday()');\n    gr.orderBy('begin');\n    gr.query();\n\n    // get total count, used for pagination\n    count = gr.getRowCount();\n    vaVars.count = count;\n\n    // page of outage records\n    var cnt = 0;\n    while(gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('cmdb_ci') + ': ' + gr.getDisplayValue('type') });\n        cnt++;\n    }\n\n    options.push({ 'value': 'cancel', 'label': gs.getMessage(\"I'm done\")});\n\n\n    return options;\n})()\n"},"table":"cmdb_ci_outage"},{"type":"Decision","name":"Next Page","branches":[{"type":"Branch","label":"Outage","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaInputs.list_outages.getValue() != 'next' &amp;&amp; vaInputs.list_outages.getValue() != 'prev' \n        &amp;&amp; vaInputs.list_outages.getValue() != 'cancel' &amp;&amp; vaInputs.list_outages.getValue() != '';\n})()\n"},"id":"e1f8689740794bc5a4893cc6fafd11e2","name":"Outage"},{"type":"Branch","label":"Cancel","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaInputs.list_outages.getValue() == 'cancel';\n})()\n"},"id":"6851d1fb3dca42b7a6ba641ccaa574cd","name":"Cancel"}],"id":"cd1f6b2e068440f0bf8401f219d808c3","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"OutputPrompt","value":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Great news, there are no known outages!\", vaContext.getRequesterLang())"},"id":"64544a1418d2457789d5cd8d201f0328","name":"No outages","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"OutputPrompt","value":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Currently, there is only one known outage.\", vaContext.getRequesterLang())"},"id":"2309af1e0dda42a79754b2e962e117b3","name":"One Outage","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"ScriptedAction","script":"(function execute() {\n    // reset to first page\n    vaVars.index = 0;\n\n    // count how many outages there are\n    var count = 0;\n    var gr = new GlideAggregate('cmdb_ci_outage');\n    gr.addEncodedQuery('begin&lt;=javascript:gs.endOfToday()^endISEMPTY^ORend&gt;javascript:gs.endOfToday()^NQtype=planned^beginRELATIVELE@dayofweek@ahead@7^end&gt;javascript:gs.endOfToday()');\n    gr.addAggregate('COUNT');\n    gr.query();\n    if (gr.next())\n        count = gr.getAggregate('COUNT');\n    \n    // set count variable\n    vaVars.count = count;\n})()\n","id":"23ae032775dd46b8beac532e1d223e09","name":"Check Outages","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Count Decision","branches":[{"type":"Branch","label":"Many Outages","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.count &gt; 1;\n})()"},"id":"002871ebdba541fc8e037ca3e66bb8df","name":"Many Outages"},{"type":"Branch","label":"No Outages","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.count == 0;\n})()\n"},"id":"5bb0f3c5af5a4a4189c3b8bab11da3a3","name":"No Outages"},{"type":"Branch","label":"One Outage","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.count == 1;\n})()\n"},"id":"769d4dd358c4444f9381a893ffa561fa","name":"One Outage"}],"id":"ce8be2d5eb824acf99642dca6883d613","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"RecordOutputPrompt","mode":"script","table":"cmdb_ci_outage","script":"(function execute(table) {\n       var gr = new GlideRecord(table);       \n       if(gr.get(vaInputs.list_outages)) {\n          return gr;\n    }\n})(table)\n","fields":["cmdb_ci","type","duration","begin","end"],"id":"666cb193125343d4bd06109bf29dbe81","name":"Display Outage Card","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"condition":{"type":"Condition","mode":"glide_scripted_query","value":"(function execute(table) {\n       var gr = new GlideRecord(table);       \n       if(gr.get(vaInputs.list_outages)) {\n          return gr;\n    }\n})(table)\n"}},{"type":"RecordOutputPrompt","mode":"script","table":"cmdb_ci_outage","script":"(function execute(table) {\n    var gr = new GlideRecord('cmdb_ci_outage');\n    gr.addEncodedQuery('begin&lt;=javascript:gs.endOfToday()^endISEMPTY^ORend&gt;javascript:gs.endOfToday()^NQtype=planned^beginRELATIVELE@dayofweek@ahead@7^end&gt;javascript:gs.endOfToday()');\n    gr.orderBy('begin');\n    gr.setLimit(1);\n    gr.query();\n\n    if(gr.next()) {\n        return gr;\n    }\n})(table)\n","fields":["cmdb_ci","type","duration","begin","end"],"id":"79ce14c6fdce41c889f7a1e1f3b1c87a","name":"Display Single Outage","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"condition":{"type":"Condition","mode":"glide_scripted_query","value":"(function execute(table) {\n    var gr = new GlideRecord('cmdb_ci_outage');\n    gr.addEncodedQuery('begin&lt;=javascript:gs.endOfToday()^endISEMPTY^ORend&gt;javascript:gs.endOfToday()^NQtype=planned^beginRELATIVELE@dayofweek@ahead@7^end&gt;javascript:gs.endOfToday()');\n    gr.orderBy('begin');\n    gr.setLimit(1);\n    gr.query();\n\n    if(gr.next()) {\n        return gr;\n    }\n})(table)\n"}},{"type":"LibraryCall","library_topic_name":"Deflection","library_topic_id":"7fb4ca055303201033cdddeeff7b12b3","parameter-mappings":[{"parameter-name":"deflection_configuration","value":{"type":"String","mode":"string","value":"5292005253213010000dddeeff7b126c"},"metadata":{"type":"Reference","list":false,"items":[],"use_items":false,"table":"ssa_deflection_configuration"}},{"parameter-name":"deflection_pattern","value":{"type":"String","mode":"string","value":"0273885253213010000dddeeff7b1210"},"metadata":{"type":"Reference","list":false,"items":[],"use_items":false,"table":"ssa_deflection_pattern"}},{"parameter-name":"activity_table","value":{"type":"String","mode":"string","value":""},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"activity_ids","value":{"type":"String","mode":"string","value":""},"metadata":{"type":"String","list":false,"items":[],"use_items":false}}],"return-value-mappings":[],"id":"d81b73e7e0e140c98cb4152a025d761b","name":"Deflection: Outages Shown","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"LibraryCall","library_topic_name":"Deflection","library_topic_id":"7fb4ca055303201033cdddeeff7b12b3","parameter-mappings":[{"parameter-name":"deflection_configuration","value":{"type":"String","mode":"string","value":"5292005253213010000dddeeff7b126c"},"metadata":{"type":"Reference","list":false,"items":[],"use_items":false,"table":"ssa_deflection_configuration"}},{"parameter-name":"deflection_pattern","value":{"type":"String","mode":"string","value":"9ee3409253213010000dddeeff7b123b"},"metadata":{"type":"Reference","list":false,"items":[],"use_items":false,"table":"ssa_deflection_pattern"}},{"parameter-name":"activity_table","value":{"type":"String","mode":"string","value":""},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"activity_ids","value":{"type":"String","mode":"string","value":""},"metadata":{"type":"String","list":false,"items":[],"use_items":false}}],"return-value-mappings":[],"id":"ecd46701f6ef46b987b6a448a7e43575","name":"No Deflection","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}}],"edges":[{"type":"Edge","source_node_id":"cd1f6b2e068440f0bf8401f219d808c3","target_node_id":"666cb193125343d4bd06109bf29dbe81","branch_id":"e1f8689740794bc5a4893cc6fafd11e2","id":"7d24887e2ca94644b8a071d8881d0a37","name":"e1f8689740794bc5a4893cc6fafd11e2"},{"type":"Edge","source_node_id":"2309af1e0dda42a79754b2e962e117b3","target_node_id":"79ce14c6fdce41c889f7a1e1f3b1c87a","id":"12ff960509124c31a8d565c6dea3e5b3"},{"type":"Edge","source_node_id":"64544a1418d2457789d5cd8d201f0328","target_node_id":"ecd46701f6ef46b987b6a448a7e43575","id":"fb46d4e38a064bd4a020baacb348ab7d"},{"type":"Edge","source_node_id":"fc28755cdb614417b6ec0b7463d28c79","target_node_id":"cd1f6b2e068440f0bf8401f219d808c3","id":"e376f86a9a7e4bdaa91a007203f89d4a"},{"type":"Edge","source_node_id":"7eaea6d27e2c4ebdacc03745d7934fea","target_node_id":"23ae032775dd46b8beac532e1d223e09","id":"0dbc0a89dbc54e5fb956aef819f1692b"},{"type":"Edge","source_node_id":"23ae032775dd46b8beac532e1d223e09","target_node_id":"ce8be2d5eb824acf99642dca6883d613","id":"da05d5c5dc6c4519a1436b7186f7240c"},{"type":"Edge","source_node_id":"ce8be2d5eb824acf99642dca6883d613","target_node_id":"fc28755cdb614417b6ec0b7463d28c79","branch_id":"002871ebdba541fc8e037ca3e66bb8df","id":"6637f797d40b48f4b8d0e83f43c9d720","name":"002871ebdba541fc8e037ca3e66bb8df"},{"type":"Edge","source_node_id":"ce8be2d5eb824acf99642dca6883d613","target_node_id":"64544a1418d2457789d5cd8d201f0328","branch_id":"5bb0f3c5af5a4a4189c3b8bab11da3a3","id":"1a8d988bec484963934b1e9f4f72e741","name":"5bb0f3c5af5a4a4189c3b8bab11da3a3"},{"type":"Edge","source_node_id":"ce8be2d5eb824acf99642dca6883d613","target_node_id":"2309af1e0dda42a79754b2e962e117b3","branch_id":"769d4dd358c4444f9381a893ffa561fa","id":"da9569080a49404cae67eb6c824ad4d1","name":"769d4dd358c4444f9381a893ffa561fa"},{"type":"Edge","source_node_id":"79ce14c6fdce41c889f7a1e1f3b1c87a","target_node_id":"d81b73e7e0e140c98cb4152a025d761b","id":"b5414a5d4c9f446a91a048536cc580d9"},{"type":"Edge","source_node_id":"666cb193125343d4bd06109bf29dbe81","target_node_id":"d81b73e7e0e140c98cb4152a025d761b","id":"c4e979e451f14f10aa3933725b64dd9a"},{"type":"Edge","source_node_id":"d81b73e7e0e140c98cb4152a025d761b","target_node_id":"1d63602e607647e888c51e9a7d2b17b8","id":"26832343ad39448cb44e9bc0b858803c"},{"type":"Edge","source_node_id":"cd1f6b2e068440f0bf8401f219d808c3","target_node_id":"ecd46701f6ef46b987b6a448a7e43575","branch_id":"6851d1fb3dca42b7a6ba641ccaa574cd","id":"21617cb4ae5b4734ab5447bc0ca31873","name":"6851d1fb3dca42b7a6ba641ccaa574cd"},{"type":"Edge","source_node_id":"ecd46701f6ef46b987b6a448a7e43575","target_node_id":"1d63602e607647e888c51e9a7d2b17b8","id":"19f708ae5e1b49babfadaa51eabfbc67"}],"id":"primary"}],"script_variables":[{"type":"String","name":"LiveAgent_application","value":{"type":"String","mode":"string","value":"itsm"},"list":false,"id":"4e05edb424644bfc85eb01ca296c746b","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"limit","value":{"type":"String","mode":"script","value":"5"},"list":false,"id":"779afb88ec184bde8131feff718f9843","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"index","value":{"type":"String","mode":"script","value":"0"},"list":false,"id":"835b6c93ccc64d37b3765f433f77b58f","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"count","value":{"type":"String","mode":"script","value":"0"},"list":false,"id":"10c6f0ed864b45f1a5776dcf1f915664","formatType":"text","secure":false,"sensitive":false}],"glide_variables":[{"type":"Choice","choices":[],"id":"feb374539d6349fb844e882a8c16caa1","name":"list_outages","formatType":"text","secure":false,"sensitive":false,"list":false,"table":"cmdb_ci_outage"},{"type":"Reference","table":"sys_user","id":"current-user","name":"user","formatType":"text","secure":false,"sensitive":false,"list":false}],"applicability":{"type":"Applicability","mode":"script","value":"true"},"roles":[],"scope":"134450a0b3781300787162ac16a8dc1e","domain":"global","topic_type":"STANDARD","channels":[],"id":"08f9f9f63b01130028fa456993efc444","name":"_PRVW__1575b8d1e21b4110794a3fb9311170c1","key_phrases":["service disruptions","down","outage","not working","maintenance","system status","disruption","service"],"nlu_provider":"","nlu_model":"","nlu_model_label":"","nlu_intent":"","nlu_intent_label":"","flexible_conversation_switching":false,"autopilot_topic":false,"design_categories":[{"name":null,"visible":false,"sysId":"3efd22da0b203300a1b16c2367673a10"}],"triggerable_by_notification":false,"library":false,"nluMapping":"[]"}</design_definition>
        <design_topic_id>08f9f9f63b01130028fa456993efc444</design_topic_id>
        <name>_PRVW__1575b8d1e21b4110794a3fb9311170c1</name>
        <sys_class_name>sys_cb_design_topic</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-05 10:13:07</sys_created_on>
        <sys_domain>global</sys_domain>
        <sys_id>ad75b0552f1b4110f98855f62799b66c</sys_id>
        <sys_mod_count>0</sys_mod_count>
        <sys_name>FlowTopic</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_update_name>sys_cb_design_topic_ad75b0552f1b4110f98855f62799b66c</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-05 10:13:07</sys_updated_on>
        <type>FlowTopic</type>
    </sys_cb_design_topic>
</record_update>
